COMPLETED nspBuild - Build NSP files

Discussion in 'Switch - Backup Loaders & Modchips' started by rkk, Jul 1, 2018.

  1. JJTapia19

    JJTapia19 I fight for my friends.

    Member
    8
    May 31, 2015
    Puerto Rico
    I thought you always get an error installing .nsp at 99% unless you have a legit purchased ticket for that the same game on the console it was bought.
     
  2. der:Tom

    der:Tom Member

    Newcomer
    1
    Oct 3, 2008
    United States
    Right, Pokemon Quest works.
     
    DKB likes this.
  3. Draxzelex

    Draxzelex GBAtemp Psycho!

    Member
    11
    Aug 6, 2017
    United States
    New York City
    Installation should work fine via DevMenu (as long as the .NSP is valid and built properly). You get that error when you try running the title. DevMenu is a bonafide Switch version of FBI for the 3DS with a lot more additional features.
     
  4. nero99

    nero99 GBAtemp Addict

    Member
    8
    Sep 18, 2014
    United States
    you got it right. it really is that simple
     
    DKB likes this.
  5. RicardoR12534

    RicardoR12534 Member

    Newcomer
    1
    May 20, 2018
    Portugal
    Vila Real, Portugal
    We just need the romfs.bin file and the exefs files, right?
     
  6. nero99

    nero99 GBAtemp Addict

    Member
    8
    Sep 18, 2014
    United States
    yup
     
  7. Rikua

    Rikua Advanced Member

    Newcomer
    2
    Dec 2, 2014
    United States
    If i install an .nsp, can I still update them normally in OFW? From what I've read, these are treated exactly like 3ds .cia's, which were super safe if I remember right.
     
  8. RicardoR12534

    RicardoR12534 Member

    Newcomer
    1
    May 20, 2018
    Portugal
    Vila Real, Portugal
    When I drag them over the script, it doesn't do anything
     
  9. Draxzelex

    Draxzelex GBAtemp Psycho!

    Member
    11
    Aug 6, 2017
    United States
    New York City
    Updating should still theoretically work however, these are much less safer than their 3DS counterparts. In fact, it would be much safer to update a cartridge than an eShop title I would say given that eShop titles generate much more unique headers/certificates than cartridges on top of needing to be purchased from Nintendo's servers.
     
  10. KaliTan

    KaliTan Member

    Newcomer
    1
    Oct 23, 2016
    Austria
    no, as it's the same thing with tickets and we have no way of generating system-specific ones, updating them will be exactly as risky, maybe even riskier than updating backups.
     
  11. nero99

    nero99 GBAtemp Addict

    Member
    8
    Sep 18, 2014
    United States
    I thought you meant for layeredfs. my mistake. Drag the XCI file and you get the nsp. You may also need to configure the script in your systems PATH for python to make it work right
     
  12. PC_Arcade

    PC_Arcade Member

    Newcomer
    1
    Nov 2, 2008
    United States
    how do you deal with the fact the exefs is in a subdirectory which doesn't seem to work with this utility?
     
  13. nero99

    nero99 GBAtemp Addict

    Member
    8
    Sep 18, 2014
    United States
    Now if only i could track down this patched dev menu so i could screw around with a few things i converted.
     
  14. JJTapia19

    JJTapia19 I fight for my friends.

    Member
    8
    May 31, 2015
    Puerto Rico
    I thought the same until I saw the reports when devmenu leaked. Installation fails at 99% . It had something to do with having a legit console specific key.
     
  15. z10m

    z10m Advanced Member

    Newcomer
    2
    Oct 26, 2009
    check PRAGMA's twitter...l
     
  16. Biff627

    Biff627 GBAtemp Advanced Maniac

    Member
    6
    Aug 15, 2015
    United States
    Capture.PNG
    My body is ready
     
  17. nero99

    nero99 GBAtemp Addict

    Member
    8
    Sep 18, 2014
    United States
    isn't that the one that won't install anything?
     
  18. JJTapia19

    JJTapia19 I fight for my friends.

    Member
    8
    May 31, 2015
    Puerto Rico
  19. z10m

    z10m Advanced Member

    Newcomer
    2
    Oct 26, 2009
    oh I wasn’t aware that there were two versions.
     
  20. nero99

    nero99 GBAtemp Addict

    Member
    8
    Sep 18, 2014
    United States
    I'm not sure if there is or not. All I know is that this one has always given me an error when selecting a nsp to install.

    — Posts automatically merged - Please don't double post! —

    But does in work?
     
  21. Biff627

    Biff627 GBAtemp Advanced Maniac

    Member
    6
    Aug 15, 2015
    United States
    gonna test it asap unless someone else wants to throw it into the devmenu to see if it works. I gotta get layers to work on my SX first lol
     
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice